Subject: [PATCH 0/3] debootstrap: Add Trisquel support.
From: Denis 'GNUtoo' Carikli <[email-masked]>
To: [email-masked]
Cc: Denis 'GNUtoo' Carikli <[email-masked]>
Date: Wed, 17 Jan 2024 23:48:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Upstream debootstrap now has Trisquel support in its releases, so we simply
need to add a trisquel-keyring package, patch the trisquel debootstrap
script to use that, and fix a missing dependency to make it work. 

To test this patchset I first compiled Guix:
    $ guix shell -W -C -D guix
    $ ./bootstrap
    $ ./configure --localstatedir=/var --sysconfdir=/etc
    $ make clean
    $ make -j2

Then I used the following commands to install debootstrap inside a Guix x86_64
system installation in a new shell:
    $ ./pre-inst-env guix package -i debootstrap

And once installed, I opened a new shell and run the following commands to
create a Trisquel 11 (aramo) rootfs:
    $ sudo -E debootstrap aramo aramo-root http://archive.trisquel.info/trisquel
    [...]
    I: Base system installed successfully.
    $ echo $?
    0

And it returned no errors.

Chrooting inside also worked:
    # chroot aramo /bin/bash
    # source /etc/environment
    # lsb_release -a
    No LSB modules are available.
    Distributor ID:	Trisquel
    Description:	Trisquel GNU/Linux Aramo (11.0)
    Release:	11.0
    Codename:	aramo

Denis 'GNUtoo' Carikli (3):
  gnu: Add trisquel-keyring.
  gnu: debootstrap: use trisquel-keyring.
  gnu: debootstrap: Add zstd dependency.

 gnu/packages/debian.scm | 63 ++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 62 insertions(+), 1 deletion(-)

base-commit: b3e0a973bca6fe5de7356f3d70c4b7d468b0a759
-- 
2.41.0